# InvalidFormatException
Date: 2013-02-18

## org.simpleframework.xml.transform
Class InvalidFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.core.PersistenceException
                  org.simpleframework.xml.transform.TransformException
                      org.simpleframework.xml.transform.InvalidFormatException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidFormatException

extends TransformException

The `InvalidFormatException` is thrown when there is a format exception. This exception this will be thrown from the `Transformer` should serialization or deserialization of an object fail. Error messages provided to this exception are formatted similar to the `PrintStream.printf` method.

Author:
  Niall Gallagher
See Also:
  Serialized Form

Constructor Summary
`InvalidFormatException(java.lang.String text, java.lang.Object... list)` Constructor for the `InvalidFormatException` object.
`InvalidFormatException(java.lang.Throwable cause, java.lang.String text, java.lang.Object... list)` Constructor for the `InvalidFormatException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidFormatException

    public InvalidFormatException(java.lang.String text,
                                  java.lang.Object... list)

  Constructor for the `InvalidFormatException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

### InvalidFormatException

    public InvalidFormatException(java.lang.Throwable cause,
                                  java.lang.String text,
                                  java.lang.Object... list)

  Constructor for the `InvalidFormatException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `cause` - the source exception this is used to represent
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the stri